Code Red > AutoLISP (Vanilla / Visual)

C3D Point access

(1/3) > >>

Mark:
Since C3D now uses dynamic blocks for its points I'm at a loss on how to get access to them or they data. What I need to extract, for now, is the elevation of a given point. I would like to use entget and entsel if possible but I have no idea where to start.

Below is the output of  entget on a given point.

--- Code: ---(
   (-1 . <Entity name: 7ed65078>)
    (0 . "AECC_POINT_GROUP")
    (330 . <Entity name: 7ef9dcf8>)
    (5 . "47F")
    (100 . "AcDbEntity")
    (67 . 0)
    (410 . "Model")
    (8 . "0")
    (100 . "AecDbEntity")
    (102 . "{AEC_SUBOBJECT")
    (300 . "AeccImpAllPointsGroup")
    (100 . "AecImpObj")
    (3 . "")
    (100 . "AecImpEnt")
    (171 . 0)
    (100 . "AeccImpEnt")
    (102 . "AEC_SUBOBJECT}")
    (102 . "{AEC_NULLOBJECT}")
    (100 . "AeccDbEntity")
    (100 . "AeccDbPointGroup")
  )
--- End code ---

ElpanovEvgeniy:
You mean AutoCad 2006 or 2007?

LE:
Does not say much that list.... is there a way to convert the ename into vla object, and from there do a vlax-dump-object to view all the properties and methods that point have?

Sorry I'm still in vanilla acad and on version 2005

Mark:

--- Quote from: ElpanovEvgeniy ---You mean AutoCad 2006 or 2007?
--- End quote ---
I'm on Civil 3D 2006 at the moment.


--- Quote from: LE ---is there a way to convert the ename into vla object, and from there do a vlax-dump-object to view all the properties and methods that point have?
--- End quote ---

I'll do that Luis, that appears to be the only way.

[ http://discussion.autodesk.com/thread.jspa?threadID=398829 ]

--- Quote from: autodesk news groups ---Reply From:  Peter Funk - Autodesk, Inc.
Date: Apr/21/05 - 15:17 (GMT)
   Reply
          Re: LISP access to ACAD proxy objects?
Map 3D and Civil 3D share the Civil Point object, and both have API access
to those objects. These are the only Autodesk products that you will have
access to the point information. There is no access to the information when
the points are in a proxy state (there are no DXF properties for those
objects).

Cheers,

Peter Funk
Autodesk, Inc.
--- End quote ---

Mark:
Here is the dump on the vla object.


--- Code: ---Pick Object...; IAeccPointGroup: IAeccPointGroup Interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAeccApplication 0e644bb0>
;   Description = ""
;   DisplayName (RO) = "_All Points"
;   Document (RO) = #<VLA-OBJECT IAeccDocument 0e644680>
;   Elevation = 0.0
;   Handle (RO) = "47F"
;   HasExtensionDictionary (RO) = 0
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 0e6447b4>
;   Layer = "0"
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Name = "_All Points"
;   ObjectID (RO) = 2127974520
;   ObjectName (RO) = "AeccDbPointGroup"
;   OverrideElevation = 0
;   OverridePointLabelStyle = 0
;   OverridePointStyle = 0
;   OverrideRawDescription = 0
;   OwnerID (RO) = 2130304248
;   PlotStyleName = "ByLayer"
;   PointCount (RO) = 2
;   PointLabelStyle = #<VLA-OBJECT IAeccLabelStyle 0e645240>
;   Points (RO) = (1 2)
;   PointStyle = #<VLA-OBJECT IAeccPointStyle 0e6451f0>
;   QueryBuilder (RO) = Exception occurred
;   RawDescription = ""
;   SelectedPointConvergence (RO) = Exception occurred
;   SelectedPointEasting (RO) = Exception occurred
;   SelectedPointElevation (RO) = Exception occurred
;   SelectedPointFullDescription (RO) = Exception occurred
;   SelectedPointGridEasting (RO) = Exception occurred
;   SelectedPointGridNorthing (RO) = Exception occurred
;   SelectedPointLabelStyle (RO) = Exception occurred
;   SelectedPointLatitude (RO) = Exception occurred
;   SelectedPointLayer (RO) = Exception occurred
;   SelectedPointLongitude (RO) = Exception occurred
;   SelectedPointName (RO) = Exception occurred
;   SelectedPointNorthing (RO) = Exception occurred
;   SelectedPointNumber (RO) = Exception occurred
;   SelectedPointRawDescription (RO) = Exception occurred
;   SelectedPointScale (RO) = Exception occurred
;   SelectedPointStyle (RO) = Exception occurred
;   ShowToolTip = -1
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 0e644440>
;   Visible = -1
; Methods supported:
;   ArrayPolar (3)
;   ArrayRectangular (6)
;   ContainsPoint (1)
;   Copy ()
;   Delete ()
;   GetBoundingBox (2)
;   GetExtensionDictionary ()
;   GetXData (3)
;   Highlight (1)
;   IntersectWith (2)
;   Mirror (2)
;   Mirror3D (3)
;   Move (2)
;   Rotate (2)
;   Rotate3D (3)
;   ScaleEntity (2)
;   SetXData (2)
;   TransformBy (1)
;   Update ()
--- End code ---

Navigation

[0] Message Index

[#] Next page

Go to full version